package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATION_TABLECOLUMN"
)
public class DesensitizationTablecolumn extends TBaseEntity {
   private String taskid;
   private String tableid;
   private String mappingkey;
   private String datadirection;
   private String columnname;
   private String primarykey;
   private String columnlength;
   private String columntype;
   private String columnscale;
   private String ruleid;
   private String judgenull;
   private int columnindex;
   private String rulename;
   private String regextype;
   private String remarks;
   private int sortnum;
   private String columntartype;
   private String secretkeyId;
   private String secretkeyName;

   public DesensitizationTablecolumn() {
   }

   public DesensitizationTablecolumn(String taskid, String tableid, String mappingkey, String datadirection, String columnname, String primarykey, String columnlength, String columntype, String columnscale, String ruleid, String judgenull, int columnindex, String rulename, String regextype, String remarks, int sortnum, String columntartype, String secretkeyId, String secretkeyName) {
      this.taskid = taskid;
      this.tableid = tableid;
      this.mappingkey = mappingkey;
      this.datadirection = datadirection;
      this.columnname = columnname;
      this.primarykey = primarykey;
      this.columnlength = columnlength;
      this.columntype = columntype;
      this.columnscale = columnscale;
      this.ruleid = ruleid;
      this.judgenull = judgenull;
      this.columnindex = columnindex;
      this.rulename = rulename;
      this.regextype = regextype;
      this.remarks = remarks;
      this.sortnum = sortnum;
      this.columntartype = columntartype;
      this.secretkeyId = secretkeyId;
      this.secretkeyName = secretkeyName;
   }

   public String getColumntartype() {
      return this.columntartype;
   }

   public void setColumntartype(String columntartype) {
      this.columntartype = columntartype;
   }

   public int getSortnum() {
      return this.sortnum;
   }

   public void setSortnum(int sortnum) {
      this.sortnum = sortnum;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTableid() {
      return this.tableid;
   }

   public void setTableid(String tableid) {
      this.tableid = tableid;
   }

   public String getMappingkey() {
      return this.mappingkey;
   }

   public void setMappingkey(String mappingkey) {
      this.mappingkey = mappingkey;
   }

   public String getDatadirection() {
      return this.datadirection;
   }

   public void setDatadirection(String datadirection) {
      this.datadirection = datadirection;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getPrimarykey() {
      return this.primarykey;
   }

   public void setPrimarykey(String primarykey) {
      this.primarykey = primarykey;
   }

   public String getColumnlength() {
      return this.columnlength;
   }

   public void setColumnlength(String columnlength) {
      this.columnlength = columnlength;
   }

   public String getColumntype() {
      return this.columntype;
   }

   public void setColumntype(String columntype) {
      this.columntype = columntype;
   }

   public String getColumnscale() {
      return this.columnscale;
   }

   public void setColumnscale(String columnscale) {
      this.columnscale = columnscale;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getJudgenull() {
      return this.judgenull;
   }

   public void setJudgenull(String judgenull) {
      this.judgenull = judgenull;
   }

   public int getColumnindex() {
      return this.columnindex;
   }

   public void setColumnindex(int columnindex) {
      this.columnindex = columnindex;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getSecretkeyId() {
      return this.secretkeyId;
   }

   public void setSecretkeyId(String secretkeyId) {
      this.secretkeyId = secretkeyId;
   }

   public String getSecretkeyName() {
      return this.secretkeyName;
   }

   public void setSecretkeyName(String secretkeyName) {
      this.secretkeyName = secretkeyName;
   }

   public String toString() {
      return "DesensitizationTablecolumn [taskid=" + this.taskid + ", tableid=" + this.tableid + ", mappingkey=" + this.mappingkey + ", datadirection=" + this.datadirection + ", columnname=" + this.columnname + ", primarykey=" + this.primarykey + ", columnlength=" + this.columnlength + ", columntype=" + this.columntype + ", columnscale=" + this.columnscale + ", ruleid=" + this.ruleid + ", judgenull=" + this.judgenull + ", columnindex=" + this.columnindex + ", rulename=" + this.rulename + ", regextype=" + this.regextype + ", remarks=" + this.remarks + ", sortnum=" + this.sortnum + ", columntartype=" + this.columntartype + ", secretkeyId=" + this.secretkeyId + ", secretkeyName=" + this.secretkeyName + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + this.columnindex;
      result = 31 * result + (this.columnlength == null ? 0 : this.columnlength.hashCode());
      result = 31 * result + (this.columnname == null ? 0 : this.columnname.hashCode());
      result = 31 * result + (this.columnscale == null ? 0 : this.columnscale.hashCode());
      result = 31 * result + (this.columntartype == null ? 0 : this.columntartype.hashCode());
      result = 31 * result + (this.columntype == null ? 0 : this.columntype.hashCode());
      result = 31 * result + (this.datadirection == null ? 0 : this.datadirection.hashCode());
      result = 31 * result + (this.judgenull == null ? 0 : this.judgenull.hashCode());
      result = 31 * result + (this.mappingkey == null ? 0 : this.mappingkey.hashCode());
      result = 31 * result + (this.primarykey == null ? 0 : this.primarykey.hashCode());
      result = 31 * result + (this.regextype == null ? 0 : this.regextype.hashCode());
      result = 31 * result + (this.remarks == null ? 0 : this.remarks.hashCode());
      result = 31 * result + (this.ruleid == null ? 0 : this.ruleid.hashCode());
      result = 31 * result + (this.rulename == null ? 0 : this.rulename.hashCode());
      result = 31 * result + (this.secretkeyId == null ? 0 : this.secretkeyId.hashCode());
      result = 31 * result + (this.secretkeyName == null ? 0 : this.secretkeyName.hashCode());
      result = 31 * result + this.sortnum;
      result = 31 * result + (this.tableid == null ? 0 : this.tableid.hashCode());
      result = 31 * result + (this.taskid == null ? 0 : this.taskid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         DesensitizationTablecolumn other = (DesensitizationTablecolumn)obj;
         if (this.columnindex != other.columnindex) {
            return false;
         } else {
            if (this.columnlength == null) {
               if (other.columnlength != null) {
                  return false;
               }
            } else if (!this.columnlength.equals(other.columnlength)) {
               return false;
            }

            if (this.columnname == null) {
               if (other.columnname != null) {
                  return false;
               }
            } else if (!this.columnname.equals(other.columnname)) {
               return false;
            }

            if (this.columnscale == null) {
               if (other.columnscale != null) {
                  return false;
               }
            } else if (!this.columnscale.equals(other.columnscale)) {
               return false;
            }

            if (this.columntartype == null) {
               if (other.columntartype != null) {
                  return false;
               }
            } else if (!this.columntartype.equals(other.columntartype)) {
               return false;
            }

            if (this.columntype == null) {
               if (other.columntype != null) {
                  return false;
               }
            } else if (!this.columntype.equals(other.columntype)) {
               return false;
            }

            if (this.datadirection == null) {
               if (other.datadirection != null) {
                  return false;
               }
            } else if (!this.datadirection.equals(other.datadirection)) {
               return false;
            }

            if (this.judgenull == null) {
               if (other.judgenull != null) {
                  return false;
               }
            } else if (!this.judgenull.equals(other.judgenull)) {
               return false;
            }

            if (this.mappingkey == null) {
               if (other.mappingkey != null) {
                  return false;
               }
            } else if (!this.mappingkey.equals(other.mappingkey)) {
               return false;
            }

            if (this.primarykey == null) {
               if (other.primarykey != null) {
                  return false;
               }
            } else if (!this.primarykey.equals(other.primarykey)) {
               return false;
            }

            if (this.regextype == null) {
               if (other.regextype != null) {
                  return false;
               }
            } else if (!this.regextype.equals(other.regextype)) {
               return false;
            }

            if (this.remarks == null) {
               if (other.remarks != null) {
                  return false;
               }
            } else if (!this.remarks.equals(other.remarks)) {
               return false;
            }

            if (this.ruleid == null) {
               if (other.ruleid != null) {
                  return false;
               }
            } else if (!this.ruleid.equals(other.ruleid)) {
               return false;
            }

            if (this.rulename == null) {
               if (other.rulename != null) {
                  return false;
               }
            } else if (!this.rulename.equals(other.rulename)) {
               return false;
            }

            if (this.secretkeyId == null) {
               if (other.secretkeyId != null) {
                  return false;
               }
            } else if (!this.secretkeyId.equals(other.secretkeyId)) {
               return false;
            }

            if (this.secretkeyName == null) {
               if (other.secretkeyName != null) {
                  return false;
               }
            } else if (!this.secretkeyName.equals(other.secretkeyName)) {
               return false;
            }

            if (this.sortnum != other.sortnum) {
               return false;
            } else {
               if (this.tableid == null) {
                  if (other.tableid != null) {
                     return false;
                  }
               } else if (!this.tableid.equals(other.tableid)) {
                  return false;
               }

               if (this.taskid == null) {
                  if (other.taskid != null) {
                     return false;
                  }
               } else if (!this.taskid.equals(other.taskid)) {
                  return false;
               }

               return true;
            }
         }
      }
   }
}
